Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageMaskBits Class Reference

`#include <vtkImageMaskBits.h>`

Inheritance diagram for vtkImageMaskBits:

[legend]
Collaboration diagram for vtkImageMaskBits:

[legend]
List of all members.

## Detailed Description

applies a bit-mask pattern to each component.

Date:
  2002/01/22 15:33:04

Revision:
  1.17

vtkImageMaskBits applies a bit-mask pattern to each component. The bit-mask can be applied using a variety of boolean bitwise operators.

Created by:
  - Miller, Jim

CVS contributions (if > 5%):
  - Miller, Jim (68%)
  - Martin, Ken (30%)

CVS logs (CVSweb):
  - .`cxx` (`/Imaging/vtkImageMaskBits.cxx)`
  - .`h` (`/Imaging/vtkImageMaskBits.h)`

Tests:
  vtkImageMaskBits (Tests)

Definition at line 48 of file vtkImageMaskBits.h.

## Public Types
typedef vtkImageToImageFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &, vtkIndent)
virtual void | SetMasks (unsigned int, unsigned int, unsigned int, unsigned int)
virtual void | SetMasks (unsigned int[4])
void | SetMask (unsigned int mask)
void | SetMasks (unsigned int mask1, unsigned int mask2)
void | SetMasks (unsigned int mask1, unsigned int mask2, unsigned int mask3)
virtual unsigned int * | GetMasks ()
virtual void | GetMasks (unsigned int &, unsigned int &, unsigned int &, unsigned int &)
virtual void | GetMasks (unsigned int[4])
virtual void | SetOperation (int)
virtual int | GetOperation ()
void | SetOperationToAnd ()
void | SetOperationToOr ()
void | SetOperationToXor ()
void | SetOperationToNand ()
void | SetOperationToNor ()
## Static Public Methods
vtkImageMaskBits * | New ()
int | IsTypeOf (const char *type)
vtkImageMaskBits * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageMaskBits ()
| ~vtkImageMaskBits ()
void | ThreadedExecute (vtkImageData *inData, vtkImageData *outData, int ext[6], int id)
## Protected Attributes
unsigned int | Masks [4]
int | Operation

## Member Typedef Documentation

typedef vtkImageToImageFilter vtkImageMaskBits::Superclass

| Reimplemented from vtkImageToImageFilter. Definition at line 52 of file vtkImageMaskBits.h.

## Constructor & Destructor Documentation

vtkImageMaskBits::vtkImageMaskBits | ( |  | ) | `[protected]`

vtkImageMaskBits::~vtkImageMaskBits | ( |  | ) | `[inline, protected]`

| Definition at line 81 of file vtkImageMaskBits.h.

## Member Function Documentation

vtkImageMaskBits* vtkImageMaskBits::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkImageMaskBits::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageToImageFilter.

int vtkImageMaskBits::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter.

virtual int vtkImageMaskBits::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter.

vtkImageMaskBits* vtkImageMaskBits::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageToImageFilter.

void vtkImageMaskBits::PrintSelf | ( | ostream & | ,
|  | vtkIndent |
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageToImageFilter.

virtual void vtkImageMaskBits::SetMasks | ( | unsigned | int,
|  | unsigned | int,
|  | unsigned | int,
|  | unsigned | int
| ) | `[virtual]`

| Set/Get the bit-masks. Default is 0xffffffff.

virtual void vtkImageMaskBits::SetMasks | ( | unsigned | int[4] | ) | `[virtual]`

| Set/Get the bit-masks. Default is 0xffffffff.

void vtkImageMaskBits::SetMask | ( | unsigned int | mask | ) | `[inline]`

| Set/Get the bit-masks. Default is 0xffffffff. Definition at line 58 of file vtkImageMaskBits.h.

void vtkImageMaskBits::SetMasks | ( | unsigned int | mask1,
|  | unsigned int | mask2
| ) | `[inline]`

| Set/Get the bit-masks. Default is 0xffffffff. Definition at line 60 of file vtkImageMaskBits.h.

void vtkImageMaskBits::SetMasks | ( | unsigned int | mask1,
|  | unsigned int | mask2,
|  | unsigned int | mask3
| ) | `[inline]`

| Set/Get the bit-masks. Default is 0xffffffff. Definition at line 62 of file vtkImageMaskBits.h.

virtual unsigned int* vtkImageMaskBits::GetMasks | ( |  | ) | `[virtual]`

| Set/Get the bit-masks. Default is 0xffffffff.

virtual void vtkImageMaskBits::GetMasks | ( | unsigned int & | ,
|  | unsigned int & | ,
|  | unsigned int & | ,
|  | unsigned int & |
| ) | `[virtual]`

| Set/Get the bit-masks. Default is 0xffffffff.

virtual void vtkImageMaskBits::GetMasks | ( | unsigned | int[4] | ) | `[virtual]`

| Set/Get the bit-masks. Default is 0xffffffff.

virtual void vtkImageMaskBits::SetOperation | ( | int |  | ) | `[virtual]`

| Set/Get the boolean operator. Default is AND.

virtual int vtkImageMaskBits::GetOperation | ( |  | ) | `[virtual]`

| Set/Get the boolean operator. Default is AND.

void vtkImageMaskBits::SetOperationToAnd | ( |  | ) | `[inline]`

| Set/Get the boolean operator. Default is AND. Definition at line 71 of file vtkImageMaskBits.h. References VTK_AND.

void vtkImageMaskBits::SetOperationToOr | ( |  | ) | `[inline]`

| Set/Get the boolean operator. Default is AND. Definition at line 72 of file vtkImageMaskBits.h. References VTK_OR.

void vtkImageMaskBits::SetOperationToXor | ( |  | ) | `[inline]`

| Set/Get the boolean operator. Default is AND. Definition at line 73 of file vtkImageMaskBits.h. References VTK_XOR.

void vtkImageMaskBits::SetOperationToNand | ( |  | ) | `[inline]`

| Set/Get the boolean operator. Default is AND. Definition at line 74 of file vtkImageMaskBits.h. References VTK_NAND.

void vtkImageMaskBits::SetOperationToNor | ( |  | ) | `[inline]`

| Set/Get the boolean operator. Default is AND. Definition at line 75 of file vtkImageMaskBits.h. References VTK_NOR.

void vtkImageMaskBits::ThreadedExecute | ( | vtkImageData * | inData,
|  | vtkImageData * | outData,
|  | int | ext[6],
|  | int | id
| ) | `[protected, virtual]`

| If the subclass does not define an Execute method, then the task will be broken up, multiple threads will be spawned, and each thread will call this method. It is public so that the thread functions can call this method. Reimplemented from vtkImageToImageFilter.

## Member Data Documentation

unsigned int vtkImageMaskBits::Masks[4]`[protected]`

| Definition at line 86 of file vtkImageMaskBits.h.

int vtkImageMaskBits::Operation`[protected]`

| Definition at line 87 of file vtkImageMaskBits.h.

The documentation for this class was generated from the following file:

- Imaging/vtkImageMaskBits.h